{% extends 'timetracker/base.html' %}
{% load i18n %}
{% block page-title %}{% translate 'Holidays' %}{% endblock %}

{% block content %}
    {#  {% get_current_language as language %}#}
    {#  <!-- Current language: {{ language }} -->#}
    <div id="content" class="card">
        <div class="card-header">
            <h3 class="card-title">{{ year }}</h3>
            <div class="card-actions">
                <button type="button"
                        class="btn btn-action"
                        hx-get="{% url 'timetracker:holidays' year=prev_year %}"
                        hx-target="#content"
                        hx-select="#content"
                        hx-push-url="true"
                        hx-swap="outerHTML"
                        title="{{ prev_year }}"
                >
                    <i class="bi bi-arrow-left"></i></button>
                {#        <span class="btn-group-text text-nowrap p-2 w-25 text-center">{{ year }}</span>#}
                <button class="btn btn-action"
                        type="button"
                        hx-get="{% url 'timetracker:current-holidays' %}"
                        hx-target="#content"
                        hx-select="#content"
                        hx-push-url="true"
                        hx-swap="outerHTML"
                        title="{% translate 'Current year' %}: {{ year }}"
                ><i class="bi bi-calendar"></i></button>
                <button type="button"
                        class="btn btn-action"
                        hx-get="{% url 'timetracker:holidays' year=next_year %}"
                        hx-target="#content"
                        hx-select="#content"
                        hx-push-url="true"
                        hx-swap="outerHTML"
                        title="{{ next_year }}"
                ><i class="bi bi-arrow-right"></i></button>
            </div>
        </div>
        <div class="card-body">
            {{ calendar }}
        </div>
        <div class="card-footer">
            <ul class="list-inline">
                <li class="list-inline-item me-4 align-middle">
                    <div class="d-inline-block day new day public p-2"
                    title="{% translate 'Public holiday' %}: {{ country_code }}">
                    </div>
                    {% translate 'Public holiday' %}
                </li>
                {% for absence_type in absence_types %}
                    <li class="list-inline-item me-4 align-middle">
                        <div class="d-inline-block day new p-2 absence bg-{{ absence_type.color }} text-{{ absence_type.color }}-fg absence-type-{{ absence_type.uuid }}"
                             title="{% translate 'Requested' %}"></div>
                        <div class="d-inline-block day approved p-2 absence bg-{{ absence_type.color }} text-{{ absence_type.color }}-fg absence-type-{{ absence_type.uuid }}"
                             title="{% translate 'Approved' %}"></div>
                        {% translate absence_type.label %}
                    </li>
                {% endfor %}


{#        <li class="list-inline-item me-4">#}
{#            <span class="badge badge-pill p-0 bg-warning"><i class="bi bi-x"></i></span>#}
{#            {% translate 'Declined' %}#}
{#        </li>#}
{#        <li class="list-inline-item me-4">#}
{#            <span class="badge badge-pill p-0 bg-secondary"><i class="bi bi-check"></i></span>#}
{#            {% translate 'Consumed' %}#}
{#        </li>#}
        </ul>
    </div>
    </div>
{% endblock %}
